void initSDL()
{
	SDL_Init(SDL_INIT_EVERYTHING);
	screen=SDL_SetVideoMode(screenw,screenh,16,SDL_SWSURFACE);
	screenrect.w=screenw;
	screenrect.h=screenh;
	
	urect.x=0;
	urect.y=0;
	urect.w=screenw;
	urect.h=screenh;
	
	alphacol=SDL_MapRGB(screen->format,255,0,255);
	bgcol=SDL_MapRGB(screen->format,127,127,127);
	
	for (int i=0; i<4; i++)
	{
		buttonrect[i].x=i*64;
		buttonrect[i].w=64;
		buttonrect[i].h=32;
	}
}

void clearSDL()
{
	SDL_FreeSurface(font);
	SDL_FreeSurface(buttonsur);
	SDL_FreeSurface(bgsur);
	SDL_Quit();
}

SDL_Surface *load_img(string Afilename)
{
	SDL_Surface* loadimg=NULL;
	SDL_Surface* optimg=NULL;
	
	optimg=SDL_LoadBMP(Afilename.c_str());//temp
	loadimg=SDL_LoadBMP(Afilename.c_str());
	optimg=SDL_DisplayFormat(loadimg);
	SDL_FreeSurface(loadimg);
	
	Uint16 colorkey=SDL_MapRGB(screen->format,255,0,255);
	SDL_SetColorKey(optimg,SDL_SRCCOLORKEY,colorkey);
	return optimg;
}

void apply_surface(int x,int y,SDL_Surface* source,SDL_Surface* destination, SDL_Rect *clip)
{
	SDL_Rect offset;
	offset.x=x;
	offset.y=y;
	SDL_BlitSurface(source,clip,destination,&offset);
}

Uint16 get_pixel(int x,int y,SDL_Surface *surface)
{
	Uint16 *pixels = (Uint16*)surface->pixels;
	return pixels[(y*surface->w)+x];
}
